petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDARestoreElements

Restores the array obtained with DMDAGetElements()

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDARestoreElements(DM dm,PetscInt *nel,PetscInt *nen,const PetscInt *e[])

Not Collective Many br

### Input Parameter

| dm | - the DM object Many br
| nel | - number of local elements Many br
| nen | - number of element nodes Many br
| e | - the local indices of the elements' vertices Many br

Many br

Note: You should not access these values after you have called this routine. Many br

This restore signals the DMDA object that you no longer need access to the array information. Many br

### See Also

DMDAElementType, DMDASetElementType(), DMDAGetElements()

Level:intermediate
Location:src/dm/impls/da/dagetelem.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex31.c.html